public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/jde/
Date: Sat, 13 Nov 2021 10:24:45 +0000 (UTC)	[thread overview]
Message-ID: <1636799075.666e5059ba434668a527e78d8fdc43705542a126.sam@gentoo> (raw)

commit:     666e5059ba434668a527e78d8fdc43705542a126
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Fri May 21 08:39:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 13 10:24:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=666e5059

app-emacs/jde: min java 1.8

Bug: https://bugs.gentoo.org/787326
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/20906
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emacs/jde/jde-2.4.1-r2.ebuild | 77 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/app-emacs/jde/jde-2.4.1-r2.ebuild b/app-emacs/jde/jde-2.4.1-r2.ebuild
new file mode 100644
index 00000000000..c1e9b794808
--- /dev/null
+++ b/app-emacs/jde/jde-2.4.1-r2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2 elisp
+
+DESCRIPTION="Java Development Environment for Emacs"
+HOMEPAGE="http://jdee.sourceforge.net/"
+# snapshot of svn://svn.code.sf.net/p/jdee/code/branches/2.4.1 (rev 292)
+# (upstream's distfile misses build.xml)
+SRC_URI="mirror://gentoo/jdee-${PV}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+RDEPEND=">=virtual/jdk-1.8:*
+	dev-java/bsh:0
+	dev-java/junit:0
+	dev-util/checkstyle:0"
+DEPEND="${RDEPEND}
+	dev-java/ant-contrib:0"
+
+S="${WORKDIR}/jdee-${PV}"
+SITEFILE="70${PN}-gentoo.el"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-2.4.0.1-fix-paths-gentoo.patch"
+	"${FILESDIR}/${PN}-2.4.0.1-classpath-gentoo.patch"
+	"${FILESDIR}/${PN}-2.4.1-doc-directory.patch"
+)
+
+pkg_setup() {
+	java-pkg-2_pkg_setup
+	elisp_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	local bshjar csjar
+	bshjar=$(java-pkg_getjar --build-only bsh bsh.jar) || die
+	csjar=$(java-pkg_getjar --build-only checkstyle checkstyle.jar) || die
+	sed -e "s:@BSH_JAR@:${bshjar}:;s:@CHECKSTYLE_JAR@:${csjar}:" \
+		-e "s:@PF@:${PF}:" "${FILESDIR}/${SITEFILE}" >"${SITEFILE}" || die
+
+	cd java/lib || die
+	java-pkg_jar-from --build-only checkstyle checkstyle.jar checkstyle-all.jar
+	java-pkg_jar-from junit
+	java-pkg_jar-from bsh
+}
+
+src_compile() {
+	ANT_TASKS="ant-contrib" \
+		eant bindist $(usex doc source-doc "")
+}
+
+src_install() {
+	local dist="dist/jdee-${PV%_*}"
+
+	java-pkg_dojar ${dist}/java/lib/jde.jar
+	insinto "${JAVA_PKG_SHAREPATH}"
+	doins -r java/bsh-commands
+
+	use source && java-pkg_dosrc java/src/*
+	use doc && java-pkg_dojavadoc ${dist}/doc/java/api
+
+	elisp-install ${PN} ${dist}/lisp/*.{el,elc}
+	elisp-site-file-install "${SITEFILE}"
+
+	dobin ${dist}/lisp/jtags
+
+	dodoc -r doc/html
+	find "${ED}"/usr/share/doc -iname "*makefile" -delete || die
+}


             reply	other threads:[~2021-11-13 10:24 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-13 10:24 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-02-25  8:10 [gentoo-commits] repo/gentoo:master commit in: app-emacs/jde/ Miroslav Šulc
2022-02-25  7:57 Agostino Sarubbo
2022-02-25  7:55 Agostino Sarubbo
2021-01-06 13:07 Fabian Groffen
2019-11-26 10:39 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636799075.666e5059ba434668a527e78d8fdc43705542a126.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox